/**
 * Enum of all token types, with bit fields to signify meaningful properties.
 */
export declare enum TokenType {
    PRECEDENCE_MASK = 15,
    IS_KEYWORD = 16,
    IS_ASSIGN = 32,
    IS_RIGHT_ASSOCIATIVE = 64,
    IS_PREFIX = 128,
    IS_POSTFIX = 256,
    IS_EXPRESSION_START = 512,
    num = 512,
    bigint = 1536,
    decimal = 2560,
    regexp = 3584,
    string = 4608,
    name = 5632,
    eof = 6144,
    bracketL = 7680,
    bracketR = 8192,
    braceL = 9728,
    braceBarL = 10752,
    braceR = 11264,
    braceBarR = 12288,
    parenL = 13824,
    parenR = 14336,
    comma = 15360,
    semi = 16384,
    colon = 17408,
    doubleColon = 18432,
    dot = 19456,
    question = 20480,
    questionDot = 21504,
    arrow = 22528,
    template = 23552,
    ellipsis = 24576,
    backQuote = 25600,
    dollarBraceL = 27136,
    at = 27648,
    hash = 29184,
    eq = 29728,
    assign = 30752,
    preIncDec = 32640,
    postIncDec = 33664,
    bang = 34432,
    tilde = 35456,
    pipeline = 35841,
    nullishCoalescing = 36866,
    logicalOR = 37890,
    logicalAND = 38915,
    bitwiseOR = 39940,
    bitwiseXOR = 40965,
    bitwiseAND = 41990,
    equality = 43015,
    lessThan = 44040,
    greaterThan = 45064,
    relationalOrEqual = 46088,
    bitShiftL = 47113,
    bitShiftR = 48137,
    plus = 49802,
    minus = 50826,
    modulo = 51723,
    star = 52235,
    slash = 53259,
    exponent = 54348,
    jsxName = 55296,
    jsxText = 56320,
    jsxTagStart = 57856,
    jsxTagEnd = 58368,
    typeParameterStart = 59904,
    nonNullAssertion = 60416,
    _break = 61456,
    _case = 62480,
    _catch = 63504,
    _continue = 64528,
    _debugger = 65552,
    _default = 66576,
    _do = 67600,
    _else = 68624,
    _finally = 69648,
    _for = 70672,
    _function = 72208,
    _if = 72720,
    _return = 73744,
    _switch = 74768,
    _throw = 76432,
    _try = 76816,
    _var = 77840,
    _let = 78864,
    _const = 79888,
    _while = 80912,
    _with = 81936,
    _new = 83472,
    _this = 84496,
    _super = 85520,
    _class = 86544,
    _extends = 87056,
    _export = 88080,
    _import = 89616,
    _yield = 90640,
    _null = 91664,
    _true = 92688,
    _false = 93712,
    _in = 94232,
    _instanceof = 95256,
    _typeof = 96912,
    _void = 97936,
    _delete = 98960,
    _async = 99856,
    _get = 100880,
    _set = 101904,
    _declare = 102928,
    _readonly = 103952,
    _abstract = 104976,
    _static = 106000,
    _public = 106512,
    _private = 107536,
    _protected = 108560,
    _override = 109584,
    _as = 111120,
    _enum = 112144,
    _type = 113168,
    _implements = 114192
}
export declare function formatTokenType(tokenType: TokenType): string;
